Bug 29233 - Correct missed jQueryUI datepicker in serials search sidebar
Summary: Correct missed jQueryUI datepicker in serials search sidebar
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 28958
Blocks:
  Show dependency treegraph
 
Reported: 2021-10-13 16:37 UTC by Owen Leonard
Modified: 2021-10-22 15:14 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 29233: Correct missed jQueryUI datepicker in serials search sidebar (2.09 KB, patch)
2021-10-13 18:30 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29233: Correct missed jQueryUI datepicker in serials search sidebar (2.14 KB, patch)
2021-10-16 18:04 UTC, David Nind
Details | Diff | Splinter Review
Bug 29233: Correct missed jQueryUI datepicker in serials search sidebar (2.20 KB, patch)
2021-10-18 21:27 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-10-13 16:37:30 UTC
> serials/serials-search.tt

This template has a jQueryUI datepicker which was missed in Bug 28958.
Comment 1 Owen Leonard 2021-10-13 18:30:30 UTC
Created attachment 126232 [details] [review]
Bug 29233: Correct missed jQueryUI datepicker in serials search sidebar

This patch fixes the serials search sidebar so that the "Expires before"
field uses Flatpickr instead of jQueryUI datepicker.

To test, apply the patch and go to Serials. Perform a subscription
search which will return multiple results.

In the sidebar, test that the "Expires before" field uses a
Flatpickr widget and works correctly.
Comment 2 David Nind 2021-10-16 18:04:25 UTC
Created attachment 126407 [details] [review]
Bug 29233: Correct missed jQueryUI datepicker in serials search sidebar

This patch fixes the serials search sidebar so that the "Expires before"
field uses Flatpickr instead of jQueryUI datepicker.

To test, apply the patch and go to Serials. Perform a subscription
search which will return multiple results.

In the sidebar, test that the "Expires before" field uses a
Flatpickr widget and works correctly.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2021-10-18 21:27:51 UTC
Created attachment 126462 [details] [review]
Bug 29233: Correct missed jQueryUI datepicker in serials search sidebar

This patch fixes the serials search sidebar so that the "Expires before"
field uses Flatpickr instead of jQueryUI datepicker.

To test, apply the patch and go to Serials. Perform a subscription
search which will return multiple results.

In the sidebar, test that the "Expires before" field uses a
Flatpickr widget and works correctly.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2021-10-19 07:45:11 UTC
Pushed to master for 21.11, thanks to everybody involved!